/***************************************************************************
                          newsms.h  -  description
                             -------------------
    begin                : Mit Mr 19 2003
    copyright            : (C) 2003 by Tobias Bayer
    email                : t.bayer@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 #include "leif.h"

class QLabel;
class QLineEdit;
class KPushButton;
class QGridLayout;
class QTextEdit;

class NewSMSDlg : public QWidget
{
  QGridLayout *layout;
  QLabel *label1;
  QLabel *label2;
  QLabel *remain;
  QButtonGroup *NewSMSRadios;
  QRadioButton *SendRadio;
  QRadioButton *WriteRadio;
  KPushButton *sendSMSButton;
  KPushButton *cancelSMSButton;
  
  Q_OBJECT

  public:
    NewSMSDlg(QWidget* parent=0, const char *name=0);
    ~NewSMSDlg();

    QLineEdit *number;
  	QTextEdit *message;
    
  signals:
    void sendPDU(const QString&,int);
    
  public slots:
    void cancelNewSMS();
    void sendNewSMS();
    void updateRemaining();
};
