/***************************************************************************
                          sms.h  -  description
                             -------------------
    begin                : Don Mr 20 2003
    copyright            : (C) 2003 by Tobias Bayer
    email                : t.bayer@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qstring.h>

class SMS
{
  public:
    SMS();
    ~SMS();

  int parse();
  void createSendPDU(int, int);
  
  QString decodeBCD(QString);
  QString decodeMessage(QString);
  QString encodeMessage(QString, int);
  
  
  QString PDU;

  int smscLen;
  QString smscType;
  QString smsc;
  int senderLen;
  QString senderType;
  QString sender;

  QString timeStamp;

  int messageLen;
  QString message;


  QString recipient;
  int recipientLen;

  int smsType;
  int udhLength, iei, ie_length;
  int ie[8];
};
