# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   
Name:      leif
Version:   0.7
Release:   0.7
Copyright: GPL
Vendor:    Tobias Bayer <t.bayer@web.de>
Url:       http://www.tobias-bayer.de/leif.html
Icon:     leif.xpm
Packager:  Tobias Bayer <t.bayer@web.de>
Group:     Applications/Communication
Source:    leif-0.7.tar.gz
BuildRoot: 

%description
Leif is a tool for managing your Sony/Ericsson T68/T68i mobile phone. It supports phonebook editing, file uploading and SMS management.

 

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --build=i386-linux --host=i586-linux --target=i586-linux  --prefix=/usr \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.leif
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.leif
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.leif

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/leif
rm -rf ../file.list.leif


%files -f ../file.list.leif
