/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Mar  5 15:21:47 CET 2003
    copyright            : (C) 2003 by Tobias Bayer
    email                : t.bayer@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "leif.h"

static const char *description =
	I18N_NOOP("Leif - A tool for the SonyEricsson T68/T68i mobile phone.");

	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "leif", I18N_NOOP("Leif"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Tobias Bayer", 0, "http://leif.sf.net", "t.bayer@web.de");
  aboutData.addAuthor("Tobias Bayer",0, "t.bayer@web.de");
  aboutData.addAuthor("Sven Beyer",0, "mail@tzwaenn.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Leif *leif = new Leif();
  a.setMainWidget(leif);
  leif->show();  

  return a.exec();
}
