/***************************************************************************
                          newcontactdlg.h  -  description
                             -------------------
    begin                : Son Mr 9 2003
    copyright            : (C) 2003 by Tobias Bayer
    email                : t.bayer@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "leif.h"

class QLabel;
class QLineEdit;
class KPushButton;
class QComboBox;
class QGridLayout;

class NewContactDlg : public QWidget
{
  QLabel  *label1;
  QLineEdit *nameEdit;
  QLabel *label2;
  QLineEdit *numberEdit;
  QLabel *label3;
  QComboBox *type;
  QGridLayout *grid;
  
  KPushButton *okButton;
  KPushButton *cancelButton;

  Q_OBJECT

  public:
    NewContactDlg(QWidget* parent=0, const char *name=0);
    ~NewContactDlg();
  /** No descriptions */
  void editContact(const QString&, const QString&, const QString&, const QString&);
  signals:
    void sendContact(const QString&, const QString&, const QString&, const QString&);
    
  public slots:
    void insertContact();
    void cancelContact();
private: // Private attributes
  /**  */
  QString index;
};
