/***************************************************************************
                          settingsdlg.h  -  description
                             -------------------
    begin                : Wed Mar 5 2003
    copyright            : (C) 2003 by Tobias Bayer
    email                : t.bayer@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "leif.h"

class QLabel;
class QLineEdit;
class KPushButton;
class QGroupBox;
class QGridLayout;
class QCheckBox;
class QIntValidator;

class SettingsDlg : public QWidget
{
  QLabel *label1;
  QLabel *label2;
  QLabel *label3;
  QLabel *label4;
  QLabel *label5;
  QLineEdit *countryCodeEdit;
  QLineEdit *refreshEdit;
  QLineEdit *deviceEdit;
  QLineEdit *btAddress;
  QLineEdit *btChannel;
  KPushButton *okButton;
  KPushButton *cancelButton;
  QGroupBox *btOpts;
  QGridLayout *grid;
  QCheckBox *connectAtStart;
  QIntValidator *v;
  
  Q_OBJECT

  public:
    SettingsDlg(QWidget* parent=0, const char *name=0);
    ~SettingsDlg();

  public slots:
    void saveSettings();
    void cancelSettings();
  
signals: // Signals
  /** No descriptions */
  void settingsUpdated();
};
